Page MenuHomePhabricator

Expose new talk endpoint via RESTBase
Closed, ResolvedPublic

Description

To make the new talk endpoint available in production we need to expose it via RESTBase.

Event Timeline

bearND created this task.Jun 13 2019, 4:11 PM
LGoto assigned this task to bearND.Jun 20 2019, 3:43 PM
LGoto triaged this task as High priority.
LGoto moved this task from Needs triage to Upcoming on the Reading-Infrastructure-Team-Backlog board.
LGoto added a subscriber: LGoto.

Please check with Petr about this.

To make the RB implementation easier the MCS version of the spec is in https://phabricator.wikimedia.org/diffusion/GMOA/browse/master/spec/page/talk.yaml.

MSantos claimed this task.Jun 26 2019, 4:43 PM
MSantos moved this task from To Do to Doing on the Reading-Infrastructure-Team-Backlog (Kanban) board.

Mentioned in SAL (#wikimedia-operations) [2019-07-08T13:48:49Z] <ppchelko@deploy1001> Started deploy [restbase/deploy@8e81e98]: Release 1.0, expose talk endpoints T225733, suggestions endpoints T224754, fix summary purging T226983

Pchelolo closed this task as Resolved.Jul 8 2019, 1:58 PM
Pchelolo added a subscriber: Pchelolo.

Deployed and available now.

Mentioned in SAL (#wikimedia-operations) [2019-07-08T14:05:01Z] <ppchelko@deploy1001> Finished deploy [restbase/deploy@8e81e98]: Release 1.0, expose talk endpoints T225733, suggestions endpoints T224754, fix summary purging T226983 (duration: 16m 11s)